List passkeys for a user including full authenticator data
curl --request GET \
--url https://backendapi.corbado.io/v2/users/{userID}/fullCredentials \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://backendapi.corbado.io/v2/users/{userID}/fullCredentials"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://backendapi.corbado.io/v2/users/{userID}/fullCredentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"fullCredentials": [
{
"credentialID": "<string>",
"publicKey": "<string>",
"authenticatorSignCount": 123,
"authenticatorAAGUID": "<string>",
"authenticatorAttachment": "unknown",
"backupEligible": true,
"backupState": true,
"transports": [
"usb"
],
"attestationFormat": "<string>",
"created": "<string>",
"createdMs": 123,
"status": "active"
}
]
}{
"httpStatusCode": 123,
"message": "OK",
"requestData": {
"requestID": "req-557...663",
"link": "https://my.corbado.com/requests/req-xxxxxxxxxxxxxxxxxxx"
},
"runtime": 0.06167686,
"error": {
"type": "<string>",
"details": "<string>",
"validation": [
{
"field": "<string>",
"message": "<string>"
}
],
"links": [
"<string>"
]
},
"data": {}
}Users
List passkeys for a user including full authenticator data
Returns a list of passkeys for a user by given userID, including the full authenticator data
(publicKey, authenticatorSignCount and authenticatorAttachment) which is not part of
List passkeys for a user.
GET
/
users
/
{userID}
/
fullCredentials
List passkeys for a user including full authenticator data
Authorizations
Basic authentication is used to authenticate requests to the Backend API. The username is the project ID and the password is the API secret.
The project ID and API secret can be found in the Developer Panel.
Path Parameters
Unique identifier of the user. Format: usr-<number>.
Example:
"usr-4693224802260150919"
Response
List of passkeys including full authenticator data.
Show child attributes
Show child attributes
Was this page helpful?